.skills {
    background-color: #E9E7F1;
}

.skills .container-skills{
    height: 220px;
    width: 85%;
    margin: 0 auto;
    overflow: hidden;
    position: relative;
}

.skills .container-skills .list-skills{
    display: flex;
    width: 100%;
    height: 100%;
    align-items: center;
}

.container-skills .list-skills .skill{
    display: flex;
    flex-direction: column;
    box-shadow: 2px 2px 5px 0px rgba(10,25,47,0.4);
    width: 180px;
    height: 160px;
    padding: 1%;
    flex-shrink: 0;
    align-items: center;
    justify-content: center;
    background: #E9E7F1;
    margin: 0px 10px;
    border-radius: 0px 30px;
    color: #0A192F;
    cursor: pointer;
    animation: slider 60s linear alternate infinite;
    transition: all 1s ease;
    text-transform: capitalize;
}

.container-skills:hover .list-skills .skill{
    animation-play-state: paused;
}

.container-skills .list-skills .skill:hover em{
    animation: animateIcon 0.8s ease-in-out;
}

.container-skills .list-skills .skill:hover{
    background: #0A192F;
    color: #E9E7F1;
    box-shadow: 2px 2px 5px 0px #58D68C;
}

.container-skills .list-skills .skill:hover em{
    animation: iconUp  1s ease-in-out alternate-reverse infinite;
}

.list-skills .skill em{
    font-size: 50px;
}

@keyframes slider {
    0%{
        transform: translateX(0);
    }
    100%{
        transform: translateX(calc(200px * -20));
    }
}

@keyframes iconUp {
    0%{
        transform: translateY(0);
    }
    100%{
        transform: translateY(-25%);
    }
}
